Subject: Re: linux-next: block/rcu merge build failure

From: Jens Axboe <[email-masked]>
Date: Fri, 13 Jun 2008 09:18:04 +0200

On Fri, Jun 13 2008, Stephen Rothwell wrote:
> Hi Jens,
> 
> Today's linux-next build (powerpc ppc64_defconfig) failed like this:
> 
> kernel/smp.c: In function 'generic_smp_call_function_interrupt':
> kernel/smp.c:106: error: implicit declaration of function 'list_for_each_entry_rcu'
> 
> This is caused by the merge of the rcu tree (contained in sched tree)
> with the block tree.  I have applied the following patch which I will
> carry as part of the block tree merge commit.

That patch is fine, I guess there's an rcu include splitup patch in
-next which clashes with this a bit. Thanks Stephen.

-- 
Jens Axboe